/**
  * \file callbackCaps.h
  * \author Blanc.O
  * \version 0.1
  * \date 11 janvier 2010
  */

#ifndef CALLBACKCAPS_H
#define CALLBACKCAPS_H
#include <QDebug>
#include "NIDAQmx.h"
#include "aoGenerator.h"

class callbackCaps
{

private:

    aoGenerator* gen;
    void DAQErrChk(int32 DAQError, QString fctName);

public:

    callbackCaps(aoGenerator *g);
    ~callbackCaps();
    static int32 CVICALLBACK aiDoneCB(TaskHandle taskHandle, int32 status, void *callbackData); //analog input Done event
    static int32 CVICALLBACK scoDoneCB(TaskHandle taskHandle, int32 status, void *callbackData); //startCounter Done event
    static int32 CVICALLBACK coDoneCB(TaskHandle taskHandle, int32 status, void *callbackData); //Counter Done event
};
#endif // CALLBACKCAPS_H
